﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@using Toyota.Common.Web.Html.Helper;
@model Toyota.Common.Web.MVC.ModelHolder
           
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<script src="@Url.Content("~/Scripts/jquery.mtz.monthpicker.js")" type="text/javascript"></script>

@section Style{
    .ui-datepicker.ui-corner-all { -moz-border-radius: 4px; -webkit-border-radius: 4px; border-radius: 4px; }
    .iu-widget-header { background-color: #94B6E8; color: #94B6E8; }
    .ui-widget-header {
        background: url("images/ui-bg_highlight-soft_15_cc0000_1x100.png") repeat-x scroll 50% 50% #94B6E8;
        background-color: #DDECFF;
        border: 1px solid #94B6E8;
        color: #94B6E8;
        @*font-weight: bold;*@
    }
    div.ui-datepicker {width: 17em; padding: .2em .2em 0;}
    div.ui-datepicker-header.mtz-monthpicker {border: 1px solid #DDECFF; background-color: #DDECFF; color: #DDECFF; font-weight: bold;}
    table.mtz-monthpicker {width: 100%; font-size: .9em; border-collapse: collapse; margin:0 0 .4em; }
    td.ui-state-default.mtz-monthpicker-month {border: 1px solid #fff;}
    td.ui-state-default.mtz-monthpicker-month {text-align: center; cursor: pointer; padding: 5px;}
    td.ui-state-default.mtz-monthpicker-month:hover, td.ui-state-default.mtz-monthpicker-month-selected {background: none; background-color: #DDECFF; color: #fff; cursor: pointer;}
    td.ui-state-default.mtz-monthpicker-month:hover {background-color: #fff; color: #000;}
    select.mtz-monthpicker-year {margin-top: 7px; border:1px solid #6A8CCB;}

    #PR_NO, input#PR_NO_I, #PRMonth, input#PRMonth_I, #PR_STATUS, input#PR_STATUS_I
    {
        background-color:#F5F6ce;
    }
}


@section Script{
    /*Month Picker*/
    $(document).ready(function() {
        
 
        $('#PRMonth_I').monthpicker({
            startYear: new Date().getFullYear() - 4,
            finalYear: new Date().getFullYear() + 4,
            pattern: 'mmm yyyy',
            monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
        });

        $('#PRMonth_I').bind('onchange',function(e){
            alert("input change");
        });  
    });
    
}

@section StartupScript{
   PRMonth.value = '';
}



<script type="text/javascript">
    var is_Bypass = false;
    var showDetail = false; 
    var parameterList = "";

    $(document).ready(function() {
        GridPR_STATUS.SetHeight(-98);
         $('#PR_NO_I').keypress(function(e){
            if(e.keyCode == 8 || e.keyCode == 46 || e.keyCode == 37 || e.keyCode == 38 || e.keyCode == 39 || e.keyCode == 40)
            {

            }else if(String.fromCharCode(e.which).match(/[^A-Za-z0-9]/)){
                e.preventDefault();
            }
        });
        if (GridPRApporval.GetSelectedRowCount() == 0 && GridPRApporval.cpVisibleRow == 0)
        {
            SelectAllCheckBox.SetValue(false);
        }
    });

//    function CheckChar(s,e){
//        var theEvent = e.htmlEvent || window.event;
//        var key = theEvent.keyCode || theEvent.which;
//        console.log(key);
//        if( 
//            //(key >= 37 && key <= 40) ||
//            (key >= 48 && key <= 57) ||
//            (key >= 65 && key <= 90) ||
//            (key >= 96 && key <= 122) ||
//            (key == 8)
//        )
//        //if (key < 48 || key > 57 )
//        {
//            theEvent.returnValue = true;
//        }else                         
//        {
//            theEvent.returnValue = false;
//            if(theEvent.preventDefault) 
//              theEvent.preventDefault();
//        }
//    }

   
    
    function gridPRApproval_Init(s, e) {
        enabledButton();
    }

    function GetProductionMonth(productionMonth) {
         var paramStr = String(productionMonth).replace('-', '');
         var paramStrLength = String(paramStr).length;

         var year = String(paramStr).substring(paramStrLength, paramStrLength - 4);
         var month = String(paramStr).substring(0, paramStrLength - 5);
         var monthEnum = {
             January: '01',
             February: '02',
             March: '03',
             April: '04',
             May: '05',
             June: '06',
             July: '07',
             August: '08',
             September: '09',
             October: '10',
             November: '11',
             December: '12'
         };
         var monthNum = "";
         if (Boolean(month))
             monthNum = monthEnum[month];
          
         return year + monthNum;
     }

   function convertDate2 (param){
        var param;
        if (param == null){
            dateVal = null;
        }else{
            var d = new Date(param);
            var curr_date = d.getDate();
            var curr_month = d.getMonth() + 1 ;
            var curr_year = d.getFullYear();
            var n = String(curr_month).length;

                if (n==1){
                    curr_month = '0'+curr_month;
                }else{
                    curr_month= curr_month;
                }
            var dateVal = curr_year+'/'+curr_month+'/'+curr_date;
        }
        return dateVal;
    }

    function OnBeginCallbackGrid(s, e) {
        
        
        //if (PRMonth.value = ''){
        if (PRMonth.GetValue()!= null){
            PRmonthVal = GetProductionMonth(PRMonth.GetValue());
            //PRmonthVal = convertDate(PRMonth.GetValue());
       }else{
            PRmonthVal = "";
       }

       //alert(PRmonthVal);

        e.customArgs["pPR_NO"] = PR_NO.GetText();
        e.customArgs["pPR_STATUS"] = PR_STATUS.GetValue();
        e.customArgs["pPRMonth"] = PRmonthVal;

        e.customArgs["visible"] = GridPRApporval.columns[9].visible;
        //e.customArgs["pPRMonth"] = PRMonth.GetText();
        disabledButton();
    }

    function OnEndCallbackGrid(s, e) {
        enabledButton();
    }

    function SearchData(s, e) {
        var result = false;
        //if (PRMonth.GetText() == '') {
        if (PRMonth.GetText() != '' || PR_NO.GetText()!='' || PR_STATUS.GetText()!='') {
           
           disabledButton();
           GridPRApporval.ClearFilter();
           //MessageBox('Please fill one or all search parameter!','warning_icon.png','Warning',310);
           //disabledButton();

        }
        else {
            //disabledButton();
            //GridPRApporval.ClearFilter();
            //MessageBox('Please fill one or all search parameter!','warning_icon.png','Warning',310);
            $.msgBox({ title: "Warning", content: "Please fill one or all search parameter!", afterClose : enabledButton });
            disabledButton();
        }
    }

    function ClearGrid(){
        
        PRMonth.SetText("");
        PR_STATUS.SetText("");
        PR_NO.SetText("");

        GridPRApporval.ClearFilter();
        OrderSelectionLabel.SetValue("");

        GridPR_STATUS.UnselectAllRowsOnPage();
    }

    function enabledButton() {
        btnRelease.SetEnabled(true);
        btnreject.SetEnabled(true);
        btnView.SetEnabled(true);
        btnDownload.SetEnabled(true);
        PRSearchButton.SetEnabled(true);
        btnClear.SetEnabled(true);
    }

    function disabledButton() {
        btnRelease.SetEnabled(false);
        btnreject.SetEnabled(false);
        btnView.SetEnabled(false);
        btnDownload.SetEnabled(false);
        PRSearchButton.SetEnabled(false);
        btnClear.SetEnabled(false);
    }
    function MessageBox(s, e, headerText,width) {

        if (e != '') {
            msgboxicon.src = '/Content/Images/' + e;
        } else {

            msgboxicon.src = '';
        }
        msgboxcaption.SetText(s);
        msgbox.SetWidth(width);
        msgbox.SetHeaderText(headerText);
        msgbox.Show();
    }

    function convertDate (param){
        var param;

        if (param == null){
            yearmonthval = "";

        }else{

            var PRMonthVal = param.toLocaleString();
            //var d = new Date(PRMonth.GetValue());
            var d = new Date(PRMonthVal);
            var curr_month = d.getMonth() + 1 ;
            var curr_year = d.getFullYear();
            var n = String(curr_month).length;

            if (n==1){
                curr_month = '0'+curr_month;
            }else{
                curr_month= curr_month;
            }

            var yearmonthval = curr_year+''+curr_month;
        }

        return yearmonthval;
    }

    
    function GridPRApporval_SelectionChange(s, e) {
        

        if (GridPRApporval.GetSelectedRowCount() == GridPRApporval.cpVisibleRow){
            SelectAllCheckBox.SetValue(true);
        }
        else
        {
            SelectAllCheckBox.SetValue(false);
        }
        GridPRApporval.PerformCallback();
        //s.GetSelectedFieldValues(GridPRApporval.cpKeyField, GetSelectedFieldValuesCallback);
        parameterList = "";
        counter = 0;

    }


    function btnRelease_Click(s, e) {
//        //var GridId = OrderSelectionLabel.GetValue();
//        var selectCount = GridPRApporval.GetSelectedRowCount();
//        var valGrid = JSON.stringify(GridPRApporval.GetSelectedKeysOnPage());
//        valGrid = valGrid.replace('["','');
//        valGrid = valGrid.replace('"]',';');
//        valGrid = valGrid.replace(/","/g,';');
//        if (selectCount==0) {
//            //MessageBox('No data selected!','warning_icon.png','Warning',210);
//            $.msgBox({ title: "Warning", content: "No data selected!", afterClose : enabledButton });
//            disabledButton();
//        } else {
//            var prno = valGrid;
//            //var prno = GridPRApporval.cpPR_NO[(GridPRApporval.lastMultiSelectIndex - (GridPRApporval.pageIndex * GridPRApporval.pageRowSize))];
//            performApproval(prno);
//            //disabledButton();
//        }

        parameterList = "";
        for (var index = GridPRApporval.cpStartIndex; index < GridPRApporval.cpEndIndex; index++) {
            if(GridPRApporval.cpIsRowSelected[index]==true){
                parameterList += GridPRApporval.cpPR_NO[index];
                parameterList += ";";
            }
            counter++;
        }

        parameterList = parameterList.substring(0, parameterList.length - 1);

        if (parameterList!="") {
            //console.log(parameterList);
            performApproval(parameterList);
        }

        else{
            $.msgBox({ title: "Warning", content: "No data selected!", afterClose : enabledButton });
            disabledButton();
        }
        
    }

    function btnreject_Click(s, e) {

//        //var GridId = OrderSelectionLabel.GetValue();
//        var selectCount = GridPRApporval.GetSelectedRowCount();
//        var valGrid = JSON.stringify(GridPRApporval.GetSelectedKeysOnPage());
//        valGrid = valGrid.replace('["','');
//        valGrid = valGrid.replace('"]',';');
//        valGrid = valGrid.replace(/","/g,';');

//        if (selectCount==0) {
//            //MessageBox('No data selected!','warning_icon.png','Warning',210);
//            $.msgBox({ title: "Warning", content: "No data selected!", afterClose : enabledButton });
//            disabledButton();
//        } else {
//            var prno = valGrid;
//            //var prno = GridPRApporval.cpPR_NO[(GridPRApporval.lastMultiSelectIndex - (GridPRApporval.pageIndex * GridPRApporval.pageRowSize))];
//            performReject(prno);
//            
//            //disabledButton();
//        }

        parameterList = "";
        for (var index = GridPRApporval.cpStartIndex; index < GridPRApporval.cpEndIndex; index++) {
            if(GridPRApporval.cpIsRowSelected[index]==true){
                parameterList += GridPRApporval.cpPR_NO[index];
                parameterList += ";";
            }
            counter++;
        }

        parameterList = parameterList.substring(0, parameterList.length - 1);

        if (parameterList!="") {
            //console.log(parameterList);
            performReject(parameterList);
        }

        else{
            $.msgBox({ title: "Warning", content: "No data selected!", afterClose : enabledButton });
            disabledButton();
        }

    }


    function performApproval (prno){
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31104/performApproval")",
            data: {
                //GridId : OrderSelectionLabel.GetValue().substring(0, (OrderSelectionLabel.GetValue().length-1)),
                PR_NO : prno
                //,
                //POS_ID : LEVEL.GetValue()                 
            },
            success: function (result) {
                var resValue = result.split('|');
                if (resValue[0] == 'Success'){
                    //MessageBox(resValue[1],'info_icon.png','Information',230);
                    $.msgBox({ title: "info", type: "info", content: resValue[1], afterClose : enabledButton });
                    disabledButton();
                    OrderSelectionLabel.SetValue('');
                    GridPRApporval.ClearFilter();
                    //GridPRApporval.UnselectAllRowsOnPage();
                    //GridPurchaseRequest.UnselectRows();
                }else
                {
                    //MessageBox(resValue[1],'error_icon.png','Error',220);
                    $.msgBox({ title: "error", type: "error", content: resValue[1], afterClose : enabledButton });
                    GridPRApporval.ClearFilter();
                    //GridPRApporval.UnselectAllRowsOnPage();
                    //GridPRApporval.UnselectRows();
                    disabledButton();
                }
            },
            error: function (result) {
                var resValue = result.split('|');
                //MessageBox(resValue[1],'error_icon.png','Error',220);
                $.msgBox({ title: "error", type: "error", content: resValue[1], afterClose : enabledButton });
                GridPRApporval.ClearFilter();
                //GridPRApporval.UnselectAllRowsOnPage();
                //GridPRApporval.UnselectRows();
                disabledButton();
            }
        });
    }

    function performReject (prno){
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31104/performReject")",
            data: {
                //GridId : OrderSelectionLabel.GetValue().substring(0, (OrderSelectionLabel.GetValue().length-1)),
                PR_NO : prno
                //,
                //POS_ID: LEVEL.GetValue()                     
            },
            success: function (result) {
                var resValue = result.split('|');
                if (resValue[0] == 'Success'){
                    //MessageBox(resValue[1],'info_icon.png','Information',220);
                    $.msgBox({ title: "info", type: "info", content: resValue[1], afterClose : enabledButton });
                    disabledButton();
                    OrderSelectionLabel.SetValue('');
                    //GridPRApporval.UnselectAllRowsOnPage();
                    //GridPurchaseRequest.UnselectRows();
                    GridPRApporval.ClearFilter();
                }else
                {
                    //MessageBox(resValue[1],'error_icon.png','Error',220);
                    $.msgBox({ title: "error", type: "error", content: resValue[1], afterClose : enabledButton });
                    disabledButton();
                    //GridPRApporval.UnselectAllRowsOnPage();
                    //GridPRApporval.UnselectRows();
                    GridPRApporval.ClearFilter();
                }
            },
            error: function (result) {
 
                var resValue = result.split('|');
                //MessageBox(resValue[1],'error_icon.png','Error',220);
                $.msgBox({ title: "error", type: "error", content: resValue[1], afterClose : enabledButton });
                disabledButton();
                //GridPRApporval.UnselectAllRowsOnPage();
                //GridPRApporval.UnselectRows();
                GridPRApporval.ClearFilter();
            }
        });
    }

    //Download Excel------------------------------------------------------------------------------------------
    var IsDownload = "no";

    function DownloadData(s, e) {

        if (PRMonth.GetText() != '' || PR_NO.GetText()!='' || PR_STATUS.GetText()!='') 
        {
            IsDownload = "yes";   
            BeginCallbackDownload(s, e);
        }
        else
        {
            //MessageBox('Please fill one or all search parameter!','warning_icon.png','Warning',310);
            $.msgBox({ title: "Warning", type: "alert", content: "Please fill one or all search parameter!", afterClose : enabledButton });
            disabledButton();
        }
        
    }

    function BeginCallbackDownload(s, e) {

        if (PRMonth.GetText() != '' || PR_NO.GetText()!='' || PR_STATUS.GetText()!='') 
        {

            if (PRMonth.GetValue()!= null){
                PRmonthVal = GetProductionMonth(PRMonth.GetValue());
            }else{
                PRmonthVal = "";
            }

            $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/D31104/exportToExcel")",
                data:
                {
                    PRMonth     : PRmonthVal,
                    //PRMonth   : convertDate(PRMonth.GetValue()),
                    PRStatus    : PR_STATUS.GetValue(),
                    PRNo        : PR_NO.GetText(),

                    PRNo2       : GridPRApporval_DXFREditorcol2.GetText(),
                    CURRENT_PIC : GridPRApporval_DXFREditorcol7.GetText(),
                    PR_Date     : convertDate2 (GridPRApporval_DXFREditorcol8.GetValue()),
                    LP_CD       : GridPRApporval_DXFREditorcol10.GetText(),
                    LP_NAME     : GridPRApporval_DXFREditorcol11.GetText(),
                    SH_Release  : GridPRApporval_DXFREditorcol13.GetText(),
                    DPH_Release : GridPRApporval_DXFREditorcol14.GetText(),
                    DH_Release  : GridPRApporval_DXFREditorcol15.GetText()
              },
                success: function (result) {
                    //var link = "@Url.Content("~/")"+result.excelLink;
                    //window.location = link;
                    if (result.excelLink == 'Data not found!'){
                        //MessageBox(result.excelLink,'info_icon.png','Information',200);
                        $.msgBox({ title: "info", type: "info", content: result.excelLink, afterClose : enabledButton });
                        disabledButton();
                        
                    }else
                    {
                        var link = "@Url.Content("~/")"+result.excelLink;
                        window.location = link;
                    }

                },
                error: function (result) {
                    //MessageBox('Error when downloading data.','error_icon.png','Error',280);
                    $.msgBox({ title: "error", type: "error", content: "Error when downloading data.", afterClose : enabledButton });
                    disabledButton();
                }
            });
        }
        else
        {
            //MessageBox('Please fill one or all search parameter!','warning_icon.png','Warning',310);
            $.msgBox({ title: "Warning", type: "alert", content: "Please fill one or all search parameter!", afterClose : enabledButton });
            disabledButton();
        }    
    }
    //---------------------------------------------------------------------------------------------------------

    function OnPRClick(s, e) {
    if (s != '') {
          PR_NO_DET.SetText(s);
          gridmonPopupPRDetail.ClearFilter();
            monPopupPR.SetHeaderText('Purchase Requisition Detail');
            monPopupPR.Show();
            BeginCallbackPRHead(s, e);
    } else {
           popupInformation.Show();
        }
    }
    
    function OnPRBackClick(s, e) {        
        monPopupPR.Hide();
    }

    function BeginCallbackPRHead(s, e) {

        PR_DATE_DET.SetText("");
        PR_LP_DET.SetText("");
        PR_STATUS_DET.SetText("");
              
          $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/D31104/PopupDetailPRHeader")",
                data:
                {
               
                    PR_NO : s
                         
              },
             success: function (result) {

                $.each(result, function (index, item) {
                    if (item) {
                        PR_DATE_DET.SetText(item.CREATED_DT);
                        PR_LP_DET.SetText(item.LOG_PARTNER_NAME);
                        PR_STATUS_DET.SetText(item.PR_STATUS_FLAG);
                    }
                });                                      
            },
            error: function (result) {
                alert("Data not exist");
            }
        });
    }

    function OnBeginCallbackGridPRDetail(s, e) {
        e.customArgs["pPR_NO_DET"] = PR_NO_DET.GetText();
    }

//    function GridPRApporval_SelectionChange(s, e) {
//        
//        if (!is_Bypass) {
//            var GridId = OrderSelectionLabel.GetValue();
//            var existingList = [];
//            var mark = true;

//                if (GridId != '') {
//                    existingList = GridId.split(';');
//                    var len = existingList.length-1;
//                    for(var i=0; i<len;i++){
//                        if (GridPRApporval.lastMultiSelectIndex == existingList[i].split(',')[0]) {
//                            mark = false;
//                            existingList[i] = "";
//                        }
//                    }
//                } else {

//                    GridId += GridPRApporval.lastMultiSelectIndex + "," +
//                    GridPRApporval.cpPROD_MONTH[(GridPRApporval.lastMultiSelectIndex - (GridPRApporval.pageIndex * GridPRApporval.pageRowSize))] + "," +
//                    GridPRApporval.cpLP_CD[(GridPRApporval.lastMultiSelectIndex - (GridPRApporval.pageIndex * GridPRApporval.pageRowSize))] + "," +
//                    GridPRApporval.cpPR_NO[(GridPRApporval.lastMultiSelectIndex - (GridPRApporval.pageIndex * GridPRApporval.pageRowSize))]+ ";";
//                    existingList = GridId.split(';');
//                }
//            
//            
//                if (mark) {
//                    if (OrderSelectionLabel.GetValue() != "")

//                        existingList[(existingList.length-1)] += GridPRApporval.lastMultiSelectIndex + "," +
//                                                            
//                        GridPRApporval.cpPROD_MONTH[(GridPRApporval.lastMultiSelectIndex - (GridPRApporval.pageIndex * GridPRApporval.pageRowSize))] + "," +
//                        GridPRApporval.cpLP_CD[(GridPRApporval.lastMultiSelectIndex - (GridPRApporval.pageIndex * GridPRApporval.pageRowSize))] + "," +
//                        GridPRApporval.cpPR_NO[(GridPRApporval.lastMultiSelectIndex - (GridPRApporval.pageIndex * GridPRApporval.pageRowSize))];
//                }

//                OrderSelectionLabel.SetValue('');
//                for(var i=0; i<=(existingList.length-1);i++){
//                    if (existingList[i] != "") {
//                        OrderSelectionLabel.SetValue(OrderSelectionLabel.GetValue() + existingList[i] + ';');
//                    }
//                }
//        }
//    }

//    function GetSelectedItemsText(items)
//    {
//        var texts = [];
//        var textSeparator = ",";
//        for (var i = 0; i < items.length; i++){
//            if (items[i] != ''){
//                texts.push(items[i].trim());
//            }
//        }
//       DeliveryNo = texts.join(textSeparator);

//    }

//    function GetSelectedFieldValuesCallback(v)
//    {
//        GetSelectedItemsText(v);    
//    }




   

   var toggle = 1;

   function ShowDetail(s, e) {
        GridPRApporval.PerformCallback('ToggleColumns=RELEASE_DATE;PR_REJECTION');

        if (toggle == 1){
            
            $('#grid').attr("style", "width:100%");
            btnView.SetText('Hide Detail');
            toggle = 0;
        }else{
            $('#grid').attr("style", "width:1332px");
            btnView.SetText('Show Detail');
            toggle = 1;
        }
        
    }



</script>

<style type="text/css">


#headLegend
 {
     display: block;
     float:left;
     padding: 3px;
     
     border:1px solid #142B94; 
     
     background-color:#DEECFD; 
     width : 170px;
     height: 109px;
     margin-left: 10px;     
 }
 
 .ilegend 
 {
     width: 17px; height: 17px;
     margin-left: 5px;
     margin-right: 5px;
     margin-top : 0px;
     margin-bottom: 0px;
     display: block; 
     float: left;
     clear:none;
 }
 .iwLegendTitle
 {
     height: 25px;
     width: 100%;
     display: block;
     float: left;
     clear: both;
     border-bottom: 1px solid #cfcfff;
     margin-top: 5px;
     margin-bottom: 5px;
 }
 .iwLegend
 {  
     height: 25px;
     width: 80px;
     display: block;
     float: left;
     clear: none;
     margin-top: 5px;
 }
 
 



</style>
<table border="0">
    <tr>

        @*Button*@
        <td>
            <div style="display: table; border: 1px solid #002D96; background-color: #DEECFD; padding: 10px; width:640px; margin-right:10px; ">
               @Html.Action("PartialHeader", "D31104")

            </div>
        </td>

        <td valign="top">
            
                <div id="headLegend">
                    <div class="iwLegendTitle">Status Legend</div>
                    <div class="iwLegend"><img src="@Url.Content("~/Content/Images/yellow_1.png")" class="ilegend" /> Pending</div>
                    <div class="iwLegend"><img src="@Url.Content("~/Content/Images/Green_1.png")" class="ilegend" /> Approved</div>
                    <div class="iwLegend"><img src="@Url.Content("~/Content/Images/red.png")" class="ilegend" /> Rejected</div>
                    <div class="iwLegend"><img src="@Url.Content("~/Content/Images/gray.png")" class="ilegend" /> Skip</div>
                </div>
            
        </td>
    </tr>
</table>



<br />
@*@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "LEVEL";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 90;
}).GetHtml()*@

@*<div style="height: 10px;">
</div>*@
@* div spacing *@




<div id="grid" style="width:1332px">
    @Html.Action("PartialDatas", "D31104")
</div>




@Html.DevExpress().Label(
label => {
    label.Name = "OrderSelectionLabel";
    label.ClientVisible = false;
        
}).GetHtml()


@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "txtGridTemp";
        label.ClientVisible = false;
        //label.Width = 800;
        //label.Height = 300;

    }).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupInformation";
    settings.HeaderText = "Information";
    
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(250);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(40);
    settings.SetContent(() => {
        Html.RenderPartial("PopupInformation", null);
    });
}).GetHtml()



@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupError";
    settings.HeaderText = "Error";
    
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(250);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(40);
    //settings.MaxHeight = 500;
    settings.SetContent(() => {
        Html.RenderPartial("PopupError", null);
    });
}).GetHtml()


 @Html.DevExpress().PopupControl(settings =>
        {
            settings.Name = "monPopupPR";
            settings.Width = System.Web.UI.WebControls.Unit.Pixel(550);
            //settings.Width = System.Web.UI.WebControls.Unit.Percentage(40);
            //settings.Height = System.Web.UI.WebControls.Unit.Pixel(110);
            settings.Modal = true;
            settings.ShowCloseButton = false;
            settings.Top = 35;
            settings.CloseAction = CloseAction.CloseButton;
            settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
            //settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
            //settings.DragElement = DragElement.Window;
            //settings.ShowHeader = false;
            settings.SetContent(() =>
            {
                Html.RenderPartial("monPopupPR");
            });
        }).GetHtml()

@*MESSAGE BOX*@
@Html.Action("MessageBox", "D31104")